summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-crypt/seahorse-sharing')
-rw-r--r--app-crypt/seahorse-sharing/Manifest1
-rw-r--r--app-crypt/seahorse-sharing/metadata.xml5
-rw-r--r--app-crypt/seahorse-sharing/seahorse-sharing-3.8.0.ebuild59
3 files changed, 65 insertions, 0 deletions
diff --git a/app-crypt/seahorse-sharing/Manifest b/app-crypt/seahorse-sharing/Manifest
new file mode 100644
index 000000000000..675753712eb4
--- /dev/null
+++ b/app-crypt/seahorse-sharing/Manifest
@@ -0,0 +1 @@
+DIST seahorse-sharing-3.8.0.tar.xz 287408 SHA256 e216e7d5709e688e142b4e96710759f5be54c39ac6c2d58f2eec330e4dfef92b SHA512 9fb41d86afb264c895e6599b397bf18c1400edf0af472451fc46c84005172bd8d318971c4b34ea1f6d00300b1e08fdea8a019d6e7fb11f9ce00c57c5b0b7f5e9 WHIRLPOOL d55660e37649190e037dfc3ee886737b30b7d289c379ce9beec927008208742ef3b558fa5f3b0fd30a24deb0bdafce4c1ff910108a9dcfb2b70052adfdfe3567
diff --git a/app-crypt/seahorse-sharing/metadata.xml b/app-crypt/seahorse-sharing/metadata.xml
new file mode 100644
index 000000000000..da6fd63d0085
--- /dev/null
+++ b/app-crypt/seahorse-sharing/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>gnome</herd>
+</pkgmetadata>
diff --git a/app-crypt/seahorse-sharing/seahorse-sharing-3.8.0.ebuild b/app-crypt/seahorse-sharing/seahorse-sharing-3.8.0.ebuild
new file mode 100644
index 000000000000..22da2337bbb0
--- /dev/null
+++ b/app-crypt/seahorse-sharing/seahorse-sharing-3.8.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes" # disable asserts
+
+inherit gnome2
+
+DESCRIPTION="Daemon for PGP public key sharing using DNS-SD and HKP"
+HOMEPAGE="http://projects.gnome.org/seahorse/"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+COMMON_DEPEND="dev-libs/glib:2
+ >=net-dns/avahi-0.6:=
+ net-libs/libsoup:2.4
+ >=x11-libs/gtk+-3:3
+ app-crypt/seahorse
+
+ >=app-crypt/gpgme-1
+ || (
+ =app-crypt/gnupg-2.0*
+ =app-crypt/gnupg-1.4* )"
+RDEPEND="${COMMON_DEPEND}
+ !<app-crypt/seahorse-3.2"
+# ${PN} was part of seahorse before 3.2
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/intltool-0.35
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+src_prepare() {
+ DOCS="AUTHORS MAINTAINERS NEWS" # ChangeLog has nothing useful
+ # Do not pass --enable-tests to configure - package has no tests
+
+ gnome2_src_prepare
+
+ # Drop stupid CFLAGS
+ # FIXME: doing configure.ac triggers maintainer mode rebuild
+ sed -e 's:$CFLAGS -g -O0:$CFLAGS:' \
+ -i configure || die "sed failed"
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! has_version net-dns/avahi && \
+ ! rc-config list default | grep -q "avahi-daemon" ; then
+ elog "To use ${PN}, the Avahi daemon must be running. On an OpenRC"
+ elog "system, you can start the Avahi daemon by"
+ elog "# /etc/init.d/avahi-daemon start"
+ elog "To start Avahi automatically, add it to the default runlevel:"
+ elog "# rc-update add avahi-daemon default"
+ fi
+}